import os
from isaacus import Isaacus
client = Isaacus(
api_key=os.environ.get("ISAACUS_API_KEY"), # This is the default and can be omitted
)
enrichment_response = client.enrichments.create(
model="kanon-2-enricher",
texts=["1.5 You (the \"User\") agree to be bound by these Terms."],
)
print(enrichment_response.results){
"results": [
{
"index": 0,
"document": {
"version": "ilgs@1",
"text": "[42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the Filing that \"§ 206 of Title 29 of the U.S. Code (the \"Labor Title\") does not apply to the plaintiff, Ms. Moody, given the definition of an \"employee\" at §203(e)(4) of the Labor Title does not include volunteers, and, regardless, she lives in Austria.\"",
"title": null,
"subtitle": null,
"type": "other",
"jurisdiction": "US-FED",
"segments": [
{
"id": "seg:0",
"kind": "unit",
"type": "paragraph",
"category": "annotation",
"type_name": null,
"code": {
"start": 0,
"end": 4
},
"title": null,
"parent": null,
"children": [],
"level": 0,
"span": {
"start": 0,
"end": 317
}
}
],
"crossreferences": [],
"locations": [
{
"id": "loc:0",
"name": {
"start": 308,
"end": 315
},
"type": "country",
"parent": null,
"children": [],
"mentions": [
{
"start": 308,
"end": 315
}
]
}
],
"persons": [
{
"id": "per:0",
"name": {
"start": 32,
"end": 42
},
"type": "natural",
"role": "defense_counsel",
"parent": null,
"children": [],
"residence": null,
"mentions": [
{
"start": 32,
"end": 42
}
]
},
{
"id": "per:1",
"name": {
"start": 167,
"end": 176
},
"type": "natural",
"role": "plaintiff",
"parent": null,
"children": [],
"residence": "loc:0",
"mentions": [
{
"start": 167,
"end": 176
}
]
}
],
"emails": [],
"websites": [],
"phone_numbers": [],
"id_numbers": [],
"terms": [
{
"id": "term:0",
"name": {
"start": 120,
"end": 131
},
"meaning": {
"start": 88,
"end": 113
},
"mentions": [
{
"start": 237,
"end": 248
}
]
}
],
"external_documents": [
{
"id": "exd:0",
"name": {
"start": 66,
"end": 72
},
"type": "other",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [
{
"start": 66,
"end": 72
}
],
"pinpoints": [
{
"start": 54,
"end": 58
}
]
},
{
"id": "exd:1",
"name": {
"start": 80,
"end": 113
},
"type": "statute",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [
{
"start": 80,
"end": 113
}
],
"pinpoints": [
{
"start": 79,
"end": 84
},
{
"start": 219,
"end": 229
}
]
}
],
"quotes": [
{
"source_segment": null,
"source_document": "exd:0",
"source_person": "per:0",
"amending": false,
"span": {
"start": 79,
"end": 317
}
}
],
"dates": [],
"headings": [],
"junk": []
}
}
],
"usage": {
"input_tokens": 91
}
}Enrich documents with an Isaacus enricher model.
import os
from isaacus import Isaacus
client = Isaacus(
api_key=os.environ.get("ISAACUS_API_KEY"), # This is the default and can be omitted
)
enrichment_response = client.enrichments.create(
model="kanon-2-enricher",
texts=["1.5 You (the \"User\") agree to be bound by these Terms."],
)
print(enrichment_response.results){
"results": [
{
"index": 0,
"document": {
"version": "ilgs@1",
"text": "[42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the Filing that \"§ 206 of Title 29 of the U.S. Code (the \"Labor Title\") does not apply to the plaintiff, Ms. Moody, given the definition of an \"employee\" at §203(e)(4) of the Labor Title does not include volunteers, and, regardless, she lives in Austria.\"",
"title": null,
"subtitle": null,
"type": "other",
"jurisdiction": "US-FED",
"segments": [
{
"id": "seg:0",
"kind": "unit",
"type": "paragraph",
"category": "annotation",
"type_name": null,
"code": {
"start": 0,
"end": 4
},
"title": null,
"parent": null,
"children": [],
"level": 0,
"span": {
"start": 0,
"end": 317
}
}
],
"crossreferences": [],
"locations": [
{
"id": "loc:0",
"name": {
"start": 308,
"end": 315
},
"type": "country",
"parent": null,
"children": [],
"mentions": [
{
"start": 308,
"end": 315
}
]
}
],
"persons": [
{
"id": "per:0",
"name": {
"start": 32,
"end": 42
},
"type": "natural",
"role": "defense_counsel",
"parent": null,
"children": [],
"residence": null,
"mentions": [
{
"start": 32,
"end": 42
}
]
},
{
"id": "per:1",
"name": {
"start": 167,
"end": 176
},
"type": "natural",
"role": "plaintiff",
"parent": null,
"children": [],
"residence": "loc:0",
"mentions": [
{
"start": 167,
"end": 176
}
]
}
],
"emails": [],
"websites": [],
"phone_numbers": [],
"id_numbers": [],
"terms": [
{
"id": "term:0",
"name": {
"start": 120,
"end": 131
},
"meaning": {
"start": 88,
"end": 113
},
"mentions": [
{
"start": 237,
"end": 248
}
]
}
],
"external_documents": [
{
"id": "exd:0",
"name": {
"start": 66,
"end": 72
},
"type": "other",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [
{
"start": 66,
"end": 72
}
],
"pinpoints": [
{
"start": 54,
"end": 58
}
]
},
{
"id": "exd:1",
"name": {
"start": 80,
"end": 113
},
"type": "statute",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [
{
"start": 80,
"end": 113
}
],
"pinpoints": [
{
"start": 79,
"end": 84
},
{
"start": 219,
"end": 229
}
]
}
],
"quotes": [
{
"source_segment": null,
"source_document": "exd:0",
"source_person": "per:0",
"amending": false,
"span": {
"start": 79,
"end": 317
}
}
],
"dates": [],
"headings": [],
"junk": []
}
}
],
"usage": {
"input_tokens": 91
}
}An Isaacus-issued API key passed as a bearer token via the Authorization header in the format Authorization: Bearer YOUR_API_KEY.
A request to enrich texts with an Isaacus enrichment model.
Note that this endpoint is currently in closed beta and is subject to change or be removed without notice until its official release. To get access, apply to the Isaacus Beta Program.
A text or array of texts to be enriched, each containing at least one non-whitespace character.
No more than 8 texts can be enriched in a single request.
[
"1.5 You (the \"User\") agree to be bound by these Terms."
]The strategy for handling content exceeding the model's maximum input length.
auto, which is the recommended setting, currently behaves the same as chunk, which intelligently breaks the input up into smaller chunks and then stitches the results back together into a single prediction. In the future auto may implement even more sophisticated strategies for handling long contexts such as leveraging chunk overlap and/or a specialized stitching model.
chunk breaks the input up into smaller chunks that fit within the model's context window and then intelligently merges the results into a single prediction at the cost of a minor accuracy drop.
drop_end drops tokens from the end of input exceeding the model's maximum input length.
null, which is the default setting, raises an error if the input exceeds the model's maximum input length.
auto, drop_end, chunk, "auto"
The enriched documents alongside usage statistics.
The enriched documents alongside, and in order of, their indices in the input array of texts.
Hide child attributes
The index of this document in the input array of texts, starting at 0 (and, therefore, ending at the number of inputs minus 1).
x >= 00
The document enriched into version 1.0.0 of the Isaacus Legal Graph Schema (ILGS).
All spans in an enriched document graph are indexed into the Unicode code point space of a source document.
The start and end indices of spans are zero-based (i.e., the first Unicode code point in the document is at index 0) and half-open (i.e., the end index is exclusive).
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested.
Spans of the exact same type (e.g., segments) will never be duplicated.
Spans cannot be empty and will never start or end at whitespace.
When using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The text of the document.
"[42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the Filing that \"§ 206 of Title 29 of the U.S. Code (the \"Labor Title\") does not apply to the plaintiff, Ms. Moody, given the definition of an \"employee\" at §203(e)(4) of the Labor Title does not include volunteers, and, regardless, she lives in Austria.\""
The span defining the title of the document or null if the document has no title or its title cannot be resolved.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 0, "end": 30 }The span defining the subtitle of the document or null if the document has no subtitle, its subtitle cannot be resolved, or has no title. The document must have a title for it to have a subtitle.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 116, "end": 133 }The type of the document, being one of statute, regulation, decision, contract, or other.
statute denotes primary legislation such as acts, bills, codes, and constitutions.
regulation denotes secondary legislation such as rules, statutory instruments, and ordinances.
decision denotes judicial or quasi-judicial decisions such as court judgments, judicial opinions, and tribunal rulings.
contract denotes contracts, covenants, and agreements.
other is used for all other types of legal documents that do not fit into any of the predefined types.
statute, regulation, decision, contract, other "statute"
The jurisdiction of the document or null if the jurisdiction is unknown.
Jurisdictions are composed of a country code and, where applicable, a subdivision code prefixed by a hyphen.
All 249 ISO 3166-1 alpha-2 country codes are representable in addition to special INT and EU codes for international and European Union law, respectively.
All 5,046 ISO 3166-2 codes are also representable in addition to a special FED code for federal law.
"AU-FED"
An array of segments within the document representing structurally distinct portions of its content.
Hide child attributes
The unique identifier of the segment in the format seg:{identifier}.
5"seg:46"
The structural 'kind' of the segment, being one of container, unit, item, or figure.
A container is a structural or semantic grouping of content such as a chapter. It can contain segments of any kind or none at all.
A unit is a single syntactically independent unit of text such as a paragraph. It can only contain items and figures.
An item is a syntactically subordinate unit of text such as an item in a run-in list. It can only contain other items. Note that an item is conceptually distinct from a list item—it is perfectly possible to encounter list items that are syntactically independent of their surrounding items just as it is possible to encounter dependent clauses that do not appear as part of a list.
A figure is a visually structured or tabular unit of content such as a diagram, equation, or table. It cannot contain segments.
container, unit, item, figure "container"
The addressable 'type' of the segment within the document's referential scheme and hierarchy, whether defined explicitly (e.g., by headings, such as 'Section 2. Definitions'), implicitly (e.g., by way of reference, such as 'as defined in Section 2'), or by convention (e.g., [42] in a judgment often denotes a paragraph, independent provisions in statute are often sections, etc.). If the type is not known or not applicable, it will be set to null.
Note that, although many segment types may coincide with syntactic constructs, they should be thought of purely as distinct formal citable units. Most paragraphs (in the syntactic sense) will not have the paragraph type, for example. That type is reserved for segments that would formally be cited as a 'Paragraph' within the document's referential scheme.
The following types are currently supported: title, book, part, chapter, subchapter, division, subdivision, subpart, subtitle, table_of_contents, article, section, regulation, rule, clause, paragraph, subarticle, subsection, subregulation, subrule, subclause, subparagraph, item, subitem, point, indent, schedule, annex, appendix, exhibit, recital, signature, note, figure, table, and formula.
The title, book, part, chapter, subchapter, division, subdivision, subpart, subtitle, and table_of_contents types are exclusive to the container kind.
The figure kind only supports the figure, table, and formula types, all of which are exclusive to it.
title, book, part, chapter, subchapter, division, subdivision, subpart, subtitle, table_of_contents, article, section, regulation, rule, clause, paragraph, subarticle, subsection, subregulation, subrule, subclause, subparagraph, item, subitem, point, indent, schedule, annex, appendix, exhibit, recital, signature, note, figure, table, formula, "section"
The functional 'category' of the segment within the document, being one of front_matter, scope, main, annotation, back_matter, or other.
front_matter denotes non-operative contextualizing content occurring at the start of a document such as a preamble or recitals.
scope denotes operative content defining the application or interpretation of a document such as definition sections and governing law clauses.
main denotes operative, non-scopal content.
annotation denotes non-operative annotative content providing explanatory or referential information such as commentary, footnotes, and endnotes.
back_matter denotes non-operative contextualizing content occurring at the end of a document such as authority statements.
other denotes content that does not fit into any of the other categories.
front_matter, scope, main, annotation, back_matter, other "main"
The span within the segment defining its type (for example, 'Section' in 'Section 2 - Definitions') or null if no such span exists.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 3453, "end": 3460 }The span within the segment defining its code (for example, '2' in 'Section 2 - Definitions') or null if no such span exists.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 3461, "end": 3462 }The span within the segment defining its title (for example, 'Definitions' in 'Section 2 - Definitions') or null if no such span exists.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 3465, "end": 3480 }The unique identifier of the 'parent' segment immediately containing this segment or null if the segment has no parent (i.e., it is a root-level segment).
A segment with the container kind can be the parent of segments of any kind, including other containers.
A segment with the unit kind can only be the parent of items and figures.
A segment with the item kind can only be the parent of other items.
A segment with the figure kind cannot be the parent of any segments.
"seg:0"
The unique identifiers of any segments having this segment as their immediate parent.
A unique identifier for a segment in the format seg:{identifier}.
"seg:47"
"seg:48"
The level of the segment within the document's segment hierarchy starting from 0 for root-level segments.
x >= 01
A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }[
{
"id": "seg:46",
"kind": "container",
"type": "section",
"category": "main",
"type_name": { "start": 3453, "end": 3460 },
"code": { "start": 3461, "end": 3462 },
"title": { "start": 3465, "end": 3480 },
"parent": "seg:0",
"children": ["seg:47", "seg:48"],
"level": 1,
"span": { "start": 3453, "end": 4074 }
}
]An array of cross-references within the document pointing to a single segment or a span of segments.
Hide child attributes
The unique identifier of the earliest segment in the span of segments being cross-referenced with ties broken in favor of the least-nested (i.e., largest) segment. If the cross-reference points to a single segment, start and end will be identical.
5"seg:49"
The unique identifier of the latest segment in the span of segments being cross-referenced with ties broken in favor of the least-nested (i.e., largest) segment. If the cross-reference points to a single segment, start and end will be identical.
5"seg:51"
A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }[
{
"start": "seg:49",
"end": "seg:51",
"span": { "start": 2213, "end": 2229 }
}
]An array of locations identified in the document.
Hide child attributes
The unique identifier of the location in the format loc:{identifier}.
5"loc:6"
A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }The type of the location, being one of country, state, city, address, or other.
country, state, city, address, other "address"
The unique identifier of the 'parent' location immediately containing this location or null if the location has no ancestors identified in the document.
Locations with the address and other types can have locations of any type as their parents.
A location with the city type cannot have a location with the address type as its parent.
A location with the state type cannot have a location with the address or city types as its parent.
A location with the country type cannot have a location with the address, city, or state types as its parent.
It is impossible for a location to be its own ancestor.
"loc:1"
The unique identifiers of any 'child' locations having this location as their immediate parent.
A unique identifier for a location in the format loc:{identifier}.
"loc:3"
"loc:4"
An array of one or more spans within the document's text where the location is mentioned.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[
{ "start": 5074, "end": 5133 },
{ "start": 6523, "end": 6582 },
{ "start": 8094, "end": 8153 }
][
{
"id": "loc:6",
"name": { "start": 6523, "end": 6582 },
"type": "address",
"parent": "loc:1",
"children": ["loc:3", "loc:4"],
"mentions": [
{ "start": 5074, "end": 5133 },
{ "start": 6523, "end": 6582 },
{ "start": 8094, "end": 8153 }
]
}
]An array of legal persons identified in the document.
Hide child attributes
The unique identifier of the person in the format per:{identifier}.
5"per:8"
A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }The legal entity type of the person, being one of natural, corporate, or politic.
natural denotes a human being in their capacity as a natural legal person, including when representing unincorporated entities such as partnerships and trusts.
corporate denotes a body corporate such as a company, incorporated partnership, or statutory corporation.
politic denotes a body politic, political entity, or part thereof such as a court, state, government, or intergovernmental organization.
natural, corporate, politic "natural"
The role of the person in relation to the subject of the document.
The following roles are currently supported:
plaintiff | A party initiating the case that is the subject of the document. |
petitioner | A party initiating the petition that is the subject of the document. |
applicant | A party initiating the application that is the subject of the document. |
appellant | A party appealing the decision that is the subject of the document. |
appellee | A party responding to the appeal that is the subject of the document if they are explicitly referred to as an 'appellee'. |
claimant | A party making a claim in the case that is the subject of the document. |
complainant | A party making a complaint in the case that is the subject of the document. |
defendant | A party defending against the case that is the subject of the document. |
respondent | A party responding to the petition, appeal, or application that is the subject of the document. |
prior_authority | An authority (e.g., judge, tribunal, court) that made a prior decision in the case that is the subject of the document. Both individual judges and courts should be annotated with this role where applicable. This is not to be used for authorities cited as precedent, only for those that made prior decisions in the same case. |
prosecutor | A lawyer prosecuting the case that is the subject of the document. |
defense_counsel | A lawyer defending the case that is the subject of the document. |
amicus | A party filing an amicus curiae brief in the case that is the subject of the document. |
intervener | A party attempting to or that has intervened in the case that is the subject of the document. |
borrower | A party borrowing money or other assets under the agreement that is the subject of the document, including 'mortgagors' and 'debtors'. |
lender | A party lending money or other assets under the agreement that is the subject of the document, including 'mortgagees' and 'creditors'. |
guarantor | A party guaranteeing obligations under the agreement that is the subject of the document, including 'sureties'. |
lessee | A party leasing goods or services under the agreement that is the subject of the document, including 'tenants'. |
lessor | A party leasing goods or services under the agreement that is the subject of the document, including 'landlords'. |
employer | A party employing personnel under the agreement that is the subject of the document. |
employee | A party employed under the agreement that is the subject of the document. |
licensor | A party licensing intellectual property or other rights under the agreement that are the subject of the document. |
licensee | A party licensed to use intellectual property or other rights under the agreement that are the subject of the document. |
franchisor | A party granting a franchise under the agreement that is the subject of the document. |
franchisee | A party granted a franchise under the agreement that is the subject of the document. |
buyer | A party purchasing goods or services under the agreement that is the subject of the document, including 'purchasers', 'customers', and 'clients'. |
seller | A party selling or providing goods or services under the agreement that is the subject of the document, including 'Vendors', 'Suppliers', and 'Service Providers' (where such parties are actually providing goods or services under the agreement). |
contractor | A party contracted to perform work or services under the agreement that is the subject of the document, including 'consultants'. |
shareholder | A party holding shares or equity under the agreement that is the subject of the document. |
joint_venturer | A party participating in a joint venture under the agreement that is the subject of the document. |
investor | A party investing money or assets under the agreement that is the subject of the document. |
insurer | A party providing insurance under the agreement that is the subject of the document. |
insured | A party insured under the agreement that is the subject of the document. |
settlor | A party establishing the trust that is the subject of the document. |
trustee | A party managing the trust that is the subject of the document. |
beneficiary | A party benefiting from the trust that is the subject of the document. |
enacting_authority | An authority (e.g., legislature, regulator, Minister/Secretary, President/Prime Minister, tribunal, court, judge) giving legal effect to or authorizing the document. All relevant individuals and bodies should be annotated with this role where applicable. |
empowered_authority | An authority (e.g., government agency, regulator, Minister/Secretary, President/Prime Minister, tribunal, court) empowered by the document to carry out functions or duties. |
debater | A person participating in the debate that is the subject of the document. |
governing_jurisdiction | The jurisdiction whose laws govern the document. |
director | A director or other officer of a corporate legal person mentioned in the document. |
clerk | A clerk, notary, or other official certifying, witnessing, filing, recording, registering, or otherwise administering the document. |
witness | A witness witnessing the signing of the document, or whose testimony is part of the case that is the subject of the document. |
other | A party to the case, agreement, legislation, or regulation that is the subject of the document that does not fit into any of the other roles. |
non_party | A legal person mentioned in the document that is not a party to the case, agreement, legislation, or regulation that is the subject of the document. |
plaintiff, petitioner, applicant, appellant, appellee, claimant, complainant, defendant, respondent, prior_authority, prosecutor, defense_counsel, amicus, intervener, borrower, lender, guarantor, lessee, lessor, employer, employee, licensor, licensee, franchisor, franchisee, buyer, seller, contractor, shareholder, joint_venturer, investor, insurer, insured, enacting_authority, empowered_authority, settlor, trustee, beneficiary, debater, director, governing_jurisdiction, clerk, witness, other, non_party "enacting_authority"
The unique identifier of the immediate legal entity that owns or controls this person (e.g., a parent company) or that this person represents if this person is identified only in their capacity as a representative (e.g., a director) of that entity or null if the person has no parent entity mentioned in the document or their parentage is unknown.
It is impossible for a person to be their own parent.
"per:1"
The unique identifiers of any persons having this person as their immediate parent.
A unique identifier for a legal person in the format per:{identifier}.
"per:9"
"per:10"
The unique identifier of the location at which the person primarily resides or null if the person's residence is unknown or not mentioned in the document.
"loc:5"
An array of one or more spans within the document's text where the person is mentioned.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[{ "start": 6943, "end": 6968 }][
{
"id": "per:8",
"name": { "start": 6943, "end": 6968 },
"type": "natural",
"role": "defense_counsel",
"parent": "per:1",
"children": ["per:9", "per:10"],
"residence": "loc:5",
"mentions": [{ "start": 6943, "end": 6968 }]
}
]An array of email addresses identified in the document belonging to legal persons.
Email addresses mentioned in the document that are not attributable to legal persons will not be extracted.
Hide child attributes
The normalized email address.
5"hello@example.com"
The unique identifier of the person that this email address belongs to.
5"per:3"
An array of one or more spans within the document's text where the email address is mentioned.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[{ "start": 5142, "end": 5164 }][
{
"address": "hello@example.com",
"person": "per:3",
"mentions": [{ "start": 5142, "end": 5164 }]
}
]An array of websites identified in the document belonging to legal persons.
Websites mentioned in the document that are not attributable to legal persons will not be extracted.
Hide child attributes
The normalized URL of the website in the form https://{host}/.
10"https://www.example.com/"
The unique identifier of the person that this website belongs to.
5"per:4"
An array of one or more spans within the document's text where the website is mentioned (including paths and slugs which are not part of the website's normalized URL).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[{ "start": 5199, "end": 5223 }][
{
"url": "https://www.example.com/",
"person": "per:4",
"mentions": [{ "start": 5199, "end": 5223 }]
}
]An array of valid phone numbers identified in the document belonging to legal persons.
Phone numbers mentioned in the document that are not valid, possible, or attributable to legal persons will not be extracted.
Hide child attributes
The normalized phone number in E.123 international notation conforming with local conventions on the use of spaces and hyphens as separators.
3"+1 202-555-0143"
The unique identifier of the person that this phone number belongs to.
5"per:5"
An array of one or more spans within the document's text where the phone number is mentioned.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[
{ "start": 5173, "end": 5188 },
{ "start": 5367, "end": 5382 }
][
{
"number": "+1 202-555-0143",
"person": "per:5",
"mentions": [
{ "start": 5173, "end": 5188 },
{ "start": 5367, "end": 5382 }
]
}
]An array of identification numbers identified in the document belonging to legal persons.
Identification numbers mentioned in the document that are not attributable to legal persons will not be extracted.
Hide child attributes
The identification number.
1"999-99-9999"
The unique identifier of the person that this identification number belongs to.
5"per:7"
An array of one or more spans within the document's text where the identification number is mentioned.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[{ "start": 7180, "end": 7194 }][
{
"number": "999-99-9999",
"person": "per:7",
"mentions": [{ "start": 7180, "end": 7194 }]
}
]An array of terms assigned definite meanings within the document.
Hide child attributes
The unique identifier of the term in the format term:{identifier}.
6"term:3"
A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }An array of spans within the document's text where the term is mentioned outside of its definition.
It is possible for the term to have no mentions if, outside of its definition, it is never referred to in the document.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[{ "start": 3347, "end": 3357 }][
{
"id": "term:3",
"name": { "start": 1564, "end": 1578 },
"meaning": { "start": 1586, "end": 1603 },
"mentions": [{ "start": 3347, "end": 3357 }]
}
]An array of documents identified within the document.
Hide child attributes
The unique identifier of the external document in the format exd:{identifier}.
5"exd:2"
A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }The type of the external document, being one of statute, regulation, decision, contract, or other.
statute denotes primary legislation such as acts, bills, codes, and constitutions.
regulation denotes secondary legislation such as rules, statutory instruments, and ordinances.
decision denotes judicial or quasi-judicial decisions such as court judgments, judicial opinions, and tribunal rulings.
other is used for all other types of legal documents that do not fit into any of the predefined types.
statute, regulation, decision, contract, other "statute"
The jurisdiction of the external document or null if the jurisdiction is unknown.
Jurisdictions are composed of a country code and, where applicable, a subdivision code prefixed by a hyphen.
All 249 ISO 3166-1 alpha-2 country codes are representable in addition to special INT and EU codes for international and European Union law, respectively.
All 5,046 ISO 3166-2 codes are also representable in addition to a special FED code for federal law.
"AU-FED"
The sentiment of the document towards the external document, being one of positive, mixed, negative, or neutral.
positive indicates that the document expresses a favorable view of the external document whether by endorsing or approving it.
mixed indicates that the document expresses both favorable and unfavorable views of the external document, for example, by affirming parts of it and disapproving others.
negative indicates that the document expresses an unfavorable view of the external document whether by criticizing, repealing, overruling, or explicitly contradicting it.
neutral indicates that the document references the external document without expressing any particular sentiment towards it.
positive, mixed, negative, neutral "positive"
An array of one or more spans within the document's text where the external document is mentioned by name, for example, 'the US Constitution' in 'the Second Amendment to the US Constitution protects freedom of speech'.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[
{ "start": 937, "end": 941 },
{ "start": 1972, "end": 2005 },
{ "start": 3713, "end": 3734 }
]An array of spans within the document's text where specific parts of the external document are referenced, for example, 'Section 2' in 'as defined in Section 2 of the US Constitution'.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[{ "start": 7696, "end": 7712 }][
{
"id": "exd:2",
"name": { "start": 1972, "end": 2005 },
"type": "statute",
"jurisdiction": "US",
"reception": "positive",
"mentions": [
{ "start": 937, "end": 941 },
{ "start": 1972, "end": 2005 },
{ "start": 3713, "end": 3734 }
],
"pinpoints": [{ "start": 7696, "end": 7712 }]
}
]An array of quotations within the document.
Hide child attributes
The unique identifier of the segment that is the source of the quote or null if the quote is not from or attributable to a segment within the document.
It is not possible for a quote to be simultaneously from a segment and an external document.
null
The unique identifier of the external document that is the source of the quote or null if the quote is not from or attributable to an external document.
It is not possible for a quote to be simultaneously from a segment and an external document.
"exd:2"
The unique identifier of the legal person that is the source of the quote or null if the quote is not from or attributable to a mentioned legal person.
"per:10"
Whether the quote is being used to amend or modify content, typically in other documents.
false
A zero-based, half-open span into the Unicode code point space of input text.
All spans are globally laminar and well-nested similar to XML—it is impossible for any two spans to partially overlap; they can only be disjoint, adjacent, or wholly nested. Spans of the exact same type (e.g., segments) will never be duplicated.
A span cannot be empty and will never start or end at whitespace (though a span's end index, being an exclusive index, may obviosuly land on a whitespace character).
Note that, when using programming languages other than Python (which uses zero-based, half-open, Unicode code point-spaced string indexing), indices may need to be translated accordingly (for example, JavaScript slices into UTF-16 code units instead of Unicode code points).
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
{ "start": 5805, "end": 6036 }[
{
"source_segment": null,
"source_document": "exd:2",
"source_person": "per:10",
"amending": false,
"span": { "start": 949, "end": 985 }
}
]An array of dates identified in the document belonging to one of the following types: creation, signature, effective, expiry, delivery, renewal, payment, birth, or death.
Only full Gregorian dates (i.e., including a day, month, and year) between the years 1000 and 9999 (inclusive) fitting into one of the supported date types are extractable.
Hide child attributes
The date in ISO 8601 format (YYYY-MM-DD).
10"2028-01-01"
The type of the date, being one of creation, signature, effective, expiry, delivery, renewal, payment, birth, or death. If a date is mentioned in a document that does not fit into a supported type, it will not be extracted.
creation denotes the date the document was created or last updated. There may only be one creation date per document.
signature denotes the date the document was signed.
effective denotes the date when the document or a part thereof comes into effect (e.g., commencement or enactment dates).
expiry denotes the date when the document or a part thereof is no longer in effect.
delivery denotes the date when goods or services are to be delivered under the document.
renewal denotes the date when one or more of the document's terms are to be renewed.
payment denotes the date when payment is to be made under the document.
birth denotes the birth date of a natural person or establishment (e.g., incorporation) date of a non-natural legal person identified in the document. There can only be one birth date linked to a single person and all birth dates must be linked to a person. A person's birth date will never be after their death date.
death denotes the death date of a natural person or dissolution date of a non-natural legal person identified in the document. There can only be one death date linked to a single person and all death dates must be linked to a person. A person's death date will never be before their birth date.
creation, signature, effective, expiry, delivery, renewal, payment, birth, death "signature"
The unique identifier of the legal person that this date is associated with or null if the date is not associated with any legal person.
For birth and death dates, this field will always be populated.
"per:12"
An array of one or more spans within the document's text where the date is mentioned.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[
{ "start": 1179, "end": 1194 },
{ "start": 8784, "end": 8799 }
][
{
"value": "2028-01-01",
"type": "signature",
"person": null,
"mentions": [
{ "start": 1179, "end": 1194 },
{ "start": 8784, "end": 8799 }
]
}
]An array of spans within the document's text constituting headings.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[
{ "start": 0, "end": 30 },
{ "start": 116, "end": 133 }
]An array of spans within the document's text constituting non-operative, non-substantive 'junk' content such as headers, footers, page numbers, and OCR artifacts.
Hide child attributes
The zero-based start index of the half-open span of Unicode code points in the input text.
x >= 05805
The zero-based end index of the half-open span (i.e., the end is exclusive) of Unicode code points in the input text.
x >= 06036
[{ "start": 83, "end": 114 }]"ilgs@1"{
"version": "ilgs@1",
"text": "[42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the Filing that \"§ 206 of Title 29 of the U.S. Code (the \"Labor Title\") does not apply to the plaintiff, Ms. Moody, given the definition of an \"employee\" at §203(e)(4) of the Labor Title does not include volunteers, and, regardless, she lives in Austria.\"",
"title": null,
"subtitle": null,
"type": "other",
"jurisdiction": "US-FED",
"segments": [
{
"id": "seg:0",
"kind": "unit",
"type": "paragraph",
"category": "annotation",
"type_name": null,
"code": { "start": 0, "end": 4 },
"title": null,
"parent": null,
"children": [],
"level": 0,
"span": { "start": 0, "end": 317 }
}
],
"crossreferences": [],
"locations": [
{
"id": "loc:0",
"name": { "start": 308, "end": 315 },
"type": "country",
"parent": null,
"children": [],
"mentions": [{ "start": 308, "end": 315 }]
}
],
"persons": [
{
"id": "per:0",
"name": { "start": 32, "end": 42 },
"type": "natural",
"role": "defense_counsel",
"parent": null,
"children": [],
"residence": null,
"mentions": [{ "start": 32, "end": 42 }]
},
{
"id": "per:1",
"name": { "start": 167, "end": 176 },
"type": "natural",
"role": "plaintiff",
"parent": null,
"children": [],
"residence": "loc:0",
"mentions": [{ "start": 167, "end": 176 }]
}
],
"emails": [],
"websites": [],
"phone_numbers": [],
"id_numbers": [],
"terms": [
{
"id": "term:0",
"name": { "start": 120, "end": 131 },
"meaning": { "start": 88, "end": 113 },
"mentions": [{ "start": 237, "end": 248 }]
}
],
"external_documents": [
{
"id": "exd:0",
"name": { "start": 66, "end": 72 },
"type": "other",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [{ "start": 66, "end": 72 }],
"pinpoints": [{ "start": 54, "end": 58 }]
},
{
"id": "exd:1",
"name": { "start": 80, "end": 113 },
"type": "statute",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [{ "start": 80, "end": 113 }],
"pinpoints": [
{ "start": 79, "end": 84 },
{ "start": 219, "end": 229 }
]
}
],
"quotes": [
{
"source_segment": null,
"source_document": "exd:0",
"source_person": "per:0",
"amending": false,
"span": { "start": 79, "end": 317 }
}
],
"dates": [],
"headings": [],
"junk": []
}{
"version": "ilgs@1",
"text": "[42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the Filing that \"§ 206 of Title 29 of the U.S. Code (the \"Labor Title\") does not apply to the plaintiff, Ms. Moody, given the definition of an \"employee\" at §203(e)(4) of the Labor Title does not include volunteers, and, regardless, she lives in Austria.\"",
"title": null,
"subtitle": null,
"type": "other",
"jurisdiction": "US-FED",
"segments": [
{
"id": "seg:0",
"kind": "unit",
"type": "paragraph",
"category": "annotation",
"type_name": null,
"code": { "start": 0, "end": 4 },
"title": null,
"parent": null,
"children": [],
"level": 0,
"span": { "start": 0, "end": 317 }
}
],
"crossreferences": [],
"locations": [
{
"id": "loc:0",
"name": { "start": 308, "end": 315 },
"type": "country",
"parent": null,
"children": [],
"mentions": [{ "start": 308, "end": 315 }]
}
],
"persons": [
{
"id": "per:0",
"name": { "start": 32, "end": 42 },
"type": "natural",
"role": "defense_counsel",
"parent": null,
"children": [],
"residence": null,
"mentions": [{ "start": 32, "end": 42 }]
},
{
"id": "per:1",
"name": { "start": 167, "end": 176 },
"type": "natural",
"role": "plaintiff",
"parent": null,
"children": [],
"residence": "loc:0",
"mentions": [{ "start": 167, "end": 176 }]
}
],
"emails": [],
"websites": [],
"phone_numbers": [],
"id_numbers": [],
"terms": [
{
"id": "term:0",
"name": { "start": 120, "end": 131 },
"meaning": { "start": 88, "end": 113 },
"mentions": [{ "start": 237, "end": 248 }]
}
],
"external_documents": [
{
"id": "exd:0",
"name": { "start": 66, "end": 72 },
"type": "other",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [{ "start": 66, "end": 72 }],
"pinpoints": [{ "start": 54, "end": 58 }]
},
{
"id": "exd:1",
"name": { "start": 80, "end": 113 },
"type": "statute",
"jurisdiction": "US-FED",
"reception": "neutral",
"mentions": [{ "start": 80, "end": 113 }],
"pinpoints": [
{ "start": 79, "end": 84 },
{ "start": 219, "end": 229 }
]
}
],
"quotes": [
{
"source_segment": null,
"source_document": "exd:0",
"source_person": "per:0",
"amending": false,
"span": { "start": 79, "end": 317 }
}
],
"dates": [],
"headings": [],
"junk": []
}Was this page helpful?